package net.knarcraft.paidsigns.container;

import java.util.UUID;

/**
 * A representation of a sign placed by a player that matched a paid sign
 */
public class TrackedSign {

    private final UUID playerId;
    private final double cost;

    /**
     * Instantiates a new tracked sign
     *
     * @param playerId <p>The unique id of the player that created the sign</p>
     * @param cost     <p>The cost the player paid for creating the sign</p>
     */
    public TrackedSign(UUID playerId, double cost) {
        this.playerId = playerId;
        this.cost = cost;
    }

    /**
     * Gets the id of the player that created this tracked sign
     *
     * @return <p>The player that created this tracked sign</p>
     */
    public UUID getPlayerId() {
        return this.playerId;
    }

    /**
     * Gets the cost the player paid for creating this paid sign
     *
     * @return <p>The cost paid for creating this sign</p>
     */
    public double getCost() {
        return this.cost;
    }

}
